INCLUDE(CMakeForceCompiler)
# this one is important
SET(CMAKE_SYSTEM_NAME FreeRTOS)

# specify the cross compiler
CMAKE_FORCE_C_COMPILER(arm-power-eabi-gcc GNU)
CMAKE_FORCE_CXX_COMPILER(arm-power-eabi-g++ GNU)
SET(CMAKE_ASM_COMPILER arm-power-eabi-as)
SET(CMAKE_OBJCOPY arm-power-eabi-objcopy CACHE INTERNAL "objcopy" FORCE)
SET(CMAKE_DUMP arm-power-eabi-objdump CACHE INTERNAL "objdump" FORCE)
SET(CMAKE_SIZE arm-power-eabi-size CACHE INTERNAL "size" FORCE)

# where is the target environment 
SET(CMAKE_FIND_ROOT_PATH /usr/local/embedded-cross-compilers/bin)

# search for programs in the build host directories
SET(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
# for libraries and headers in the target directories
SET(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY BOTH)
SET(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE BOTH)
